QSegment (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QSegment

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, Segment
  All Known Implementing Classes:
    CommentMarkerImpl, DescriptiveClipImpl, DescriptiveMarkerImpl, EdgeCodeSegmentImpl, EssenceGroupImpl, EventImpl, FillerImpl, GPITriggerImpl, HTMLClipImpl, NestedScopeImpl, OperationGroupImpl, PulldownImpl, ScopeReferenceImpl, SegmentImpl, SelectorImpl, SequenceImpl, SourceClipImpl, SourceReferenceSegmentImpl, TextClipImpl, TimecodeSegmentImpl, TimecodeStream12MImpl, TimecodeStreamImpl

      public interface QSegment
      extends Segment

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCutPoint()`
    `long` | `getKeyOffset()`
    `int` | `getPackLayerKeyIndicator()`
    `Stream` | `getSegmentBlob()`
    `Stream` | `getTrackBlob()`
    `Segment` | `getTrackKeyRenderSequence()`
    `String` | `getTrackName()`
    `Segment` | `getTrackRenderSequence()`
    `void` | `setCutPoint(Integer cutPoint)`
    `void` | `setKeyOffset(Long keyOffset)`
    `void` | `setPackLayerKeyIndicator(Integer packLayerKeyIndicator)`
    `void` | `setSegmentBlob(Stream segmentBlob)`
    `void` | `setTrackBlob(Stream trackBlob)`
    `void` | `setTrackKeyRenderSequence(Segment trackKeyRenderSequence)`
    `void` | `setTrackName(String trackName)`
    `void` | `setTrackRenderSequence(Segment trackRenderSequence)`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `clone, generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getSegmentBlob

          Stream getSegmentBlob()
                         throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setSegmentBlob

          void setSegmentBlob(Stream segmentBlob)

    - #### getCutPoint

          @Int32
          int getCutPoint()
                          throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setCutPoint

          void setCutPoint(@Int32
                           Integer cutPoint)

    - #### getTrackRenderSequence

          Segment getTrackRenderSequence()
                                  throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setTrackRenderSequence

          void setTrackRenderSequence(Segment trackRenderSequence)

    - #### getPackLayerKeyIndicator

          @Int32
          int getPackLayerKeyIndicator()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setPackLayerKeyIndicator

          void setPackLayerKeyIndicator(@Int32
                                        Integer packLayerKeyIndicator)

    - #### getTrackKeyRenderSequence

          Segment getTrackKeyRenderSequence()
                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setTrackKeyRenderSequence

          void setTrackKeyRenderSequence(Segment trackKeyRenderSequence)

    - #### getTrackBlob

          Stream getTrackBlob()
                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setTrackBlob

          void setTrackBlob(Stream trackBlob)

    - #### getKeyOffset

          @Int64
          long getKeyOffset()
                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setKeyOffset

          void setKeyOffset(@Int64
                            Long keyOffset)

    - #### getTrackName

          String getTrackName()
                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setTrackName

          void setTrackName(String trackName)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.